Bug 65004 - XOSView broken with kernel 2.4.18-4smp
XOSView broken with kernel 2.4.18-4smp
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xosview (Show other bugs)
7.3
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
: 65029 65053 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 16:52 EDT by Chris Lange
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-02 13:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Got Xosview to work by increasing the buffer in cpumeter.cc of the xosview source (479 bytes, patch)
2002-05-16 10:56 EDT, Chris Lange
no flags Details | Diff

  None (edit)
Description Chris Lange 2002-05-15 16:52:50 EDT
Description of Problem:
XOSView broke because of "add linux-2.4.18-proc-stat.patch".  This patch 
appends 1000000000 to the interrupt section.

XOSVIEWS does not run on kernel 2.4.18-4smp
/proc/stat under kernel 2.4.18-4smp has extra info in the interrupt section 
compared to kernel 2.4.18-3smp


Version-Release number of selected component (if applicable):
 kernel-2.4.18-4smp

How Reproducible:
 execute xosview

Steps to Reproduce:
1. Boot to kernel 2.4.18-4
2. load kde desktop
3. execute 

Actual Results:


Expected Results:


Additional Information:
     Data from /proc/stat (2.4.18-3smp kernel)
cpu  778 0 888 188896
cpu0 414 0 351 94516
cpu1 364 0 537 94380
page 69540 17516
swap 1 0
intr 132581 95281 351 0 0 0 0 2 0 1 0 0 0 15 0 0 526 0 0 480 26809 0 0 9116 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
disk_io: (8,0):(11,11,88,0,0) (8,1):(8337,6082,137868,2255,35006)
ctxt 46479
btime 1021494168
processes 1309

    Data from /proc/stat (2.4.18-4smp kernel)
cpu  21831 205 4600 544164
cpu0 11244 89 2862 271205
cpu1 10587 116 1738 272959
page 116026 54211
swap 1 0
intr 580414 1000285400 1000001657 1000000000 1000000000 1000000000 1000000000 
1000000002 1000000000 1000000001 1000000000 1000000000 1000000000 1000026099 
1000000000 1000000000 1000158272 1000000000 1000000000 1000013779 1000079278 
1000000000 1000000000 1000015926 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 1000000000 
1000000000
disk_io: (8,0):(11,11,88,0,0) (8,1):(15012,8116,230840,6896,108396)
ctxt 1352399
btime 1021491265
processes 2307
Comment 1 Chris Lange 2002-05-16 10:56:23 EDT
Created attachment 57588 [details]
Got Xosview to work by increasing the buffer in cpumeter.cc of the xosview source
Comment 2 Michael Brown 2002-05-16 15:56:37 EDT
*** Bug 65053 has been marked as a duplicate of this bug. ***
Comment 3 Clay Jackson 2002-05-23 01:25:07 EDT
I just tried the proposed change on xosview 1.8 and it corrects this problem on 
my 2 CPU Tyan box.

Thanks for the fix!

Clay Jackson
clayj@nwlink.com
Comment 4 Michael Schwendt 2002-05-24 17:07:22 EDT
Duplicate of bug #64798.
Comment 5 Ngo Than 2002-06-02 13:46:28 EDT
*** Bug 65029 has been marked as a duplicate of this bug. ***
Comment 6 Ngo Than 2002-06-05 11:44:59 EDT
it's fixed in 1.8.0-3

Note You need to log in before you can comment on or make changes to this bug.